import { defineStore } from 'pinia'
import { useRoute } from 'vue-router'

export const usePageStore = defineStore('pageStore', () => {
  const route = useRoute()

  const IsAuthPage = (): boolean => {
    return route.meta.authpage as boolean
  }

  return {
    IsAuthPage
  }
})
